### Hierarchy

- NonceInterceptor

### Implements

- HttpInterceptor

## Index

### Constructors

- constructor

### Methods

- onIntercept

## Constructors

### constructor

- new NonceInterceptor(messageSigner: MessageSigner, nonceSource: NonceSource): NonceInterceptor

- - Defined in repository/source/http/NonceInterceptor.ts:10

  #### Parameters

  - ##### messageSigner: MessageSigner

  - ##### nonceSource: NonceSource

  #### Returns NonceInterceptor

## Methods

### onIntercept

- onIntercept(cortege: InterceptorCortege): Promise<InterceptorCortege>

- Implementation of HttpInterceptor.onIntercept

  - Defined in repository/source/http/NonceInterceptor.ts:17

  #### Parameters

  - ##### cortege: InterceptorCortege

  #### Returns Promise<InterceptorCortege>

Generated using TypeDoc